%define uver    alpha22

Name:           keeperrl
Version:        0.0.22
Release:        %mkrel 1
Summary:        Dungeon simulator game with roguelike elements
Group:          Games/Adventure
License:        GPLv2+
URL:            http://keeperrl.com
Source0:        https://github.com/miki151/keeperrl/archive/%{uver}/%{name}-%{uver}.tar.gz
Source1:        %{name}-48.png
Source2:        %{name}-128.png
Source3:        %{name}-256.png
Patch0:         keeperrl-0.0.22-mga-makefile.patch
# https://github.com/miki151/keeperrl/pull/568
Patch1:         keeperrl-0.0.22-mga-userpath.patch

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

%description
KeeperRL is an opensource dungeon simulator game inspired by Dungeon
Keeper and Dwarf Fortress. You become an evil wizard seeking the ultimate
knowledge of destruction. You can control your minions, and explore and
conquer the world in a roguelike fashion. Combat is turn-based and very
tactical. The whole world is procedurally generated.

This is the ASCII version of KeeperRL. See keeperrl.com for information
about the version with nonfree music and graphical tiles.

%prep
%setup -q -n %{name}-%{uver}
%autopatch -p1

%build
%setup_compile_flags
%make_build \
    RELEASE=ON \
    OPT=ON \
    DATA_DIR=%{_gamesdatadir}/%{name}

%install
install -D -m755 keeper %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data_contrib data_free %{buildroot}%{_gamesdatadir}/%{name}/

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=KeeperRL
GenericName=Dungeon simulator
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;RolePlaying;
EOF

# Icon
for size in 48 128 256; do
  install -D -m644 %{_sourcedir}/%{name}-${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Jun 15 2017 akien <akien> 0.0.22-1.mga6
+ Revision: 1107780
- Version alpha22

* Fri Mar 17 2017 akien <akien> 0.0.21-1.mga6
+ Revision: 1093263
- Version Alpha 21

* Fri Oct 28 2016 akien <akien> 0.0.20-1.mga6
+ Revision: 1063874
- Version alpha20

* Wed Jul 27 2016 akien <akien> 0.0.19-1.mga6
+ Revision: 1043794
- Version alpha 19
  o Uses SDL2 instead of SFML2

* Thu May 05 2016 akien <akien> 0.0.18-1.mga6
+ Revision: 1009597
- Alpha 18

* Sun Jan 17 2016 akien <akien> 0.0.17-3.mga6
+ Revision: 925125
- Build with -fpermissive
- Version alpha 17
- imported package keeperrl

